MISSINdevelopersLog in

API reference

WaitlistSignupEvidence

Consent evidence and entries for one waitlist signup. Read access, waitlists toolset, MCP tool get_waitlist_signup_evidence.

Access: Read

Variables

VariableTypeRequiredAcceptsDescription
signupIdUUID!yesChecks for equality with the object’s subjectId field.

Call it

bash
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"WaitlistSignupEvidence","variables":{"signupId":"00000000-0000-0000-0000-000000000000"},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"a7fc8e87759fc1ec0478800cda44400bb07c8a6fb7596a3caa5a95c062b56fef"}}}'

Document

graphql
query WaitlistSignupEvidence($signupId: UUID!) { __typename allConsentEvents( condition: {subjectId: $signupId, subjectType: "waitlist_signup"} first: 50 ) { __typename nodes { __typename granted id method occurredAt purpose } } allWaitlistSignupEntries(condition: {signupId: $signupId}, first: 100) { __typename nodes { __typename createdAt id source sourceUrl } } }

For AI agents: a markdown index of this site is at /llms.txt, and every page is available as markdown by adding .md to its URL.